#!/bin/bash

if [ "$1" = "/usr/sbin/wanrouter" ]; then
	if [ "$2" = "hwprobe" ]; then
		if [ "$3" = verbose ]; then
			\rm -rf $4
			eval "$1 $2 $3 >> $4"
			if [ "$?" -ne 0 ]; then
				exit 1
			fi
			echo " " >> tmp.$$	
			while read num line
			do
				case $num in
				+*)
					echo "$num $line" >> tmp.$$
					;;
				*)
					;;
				esac
			done < $4
			mv tmp.$$ $4
		else
			\rm -rf $3
			eval "$1 $2 >> $3"
			if [ "$?" -ne 0 ]; then
				exit 1
			fi
			while read num line
			do
				case $num in
				[0-9]*)
					echo "$num $line" >> tmp.$$
					;;
				*)
					;;
				esac
			done < $3
			mv tmp.$$ $3
		fi
	elif [ "$2" = "start" ] || [ "$2" = "stop" ]; then
		case $# in
		2)
			# Wanrouter start/stop
			eval "$1 $2 >/dev/null"
			ret=$?
			;;
		3)
			# Wanrouter start/stop wanpipe#
			eval "$1 $2 $3 2>/dev/null >/dev/null" 
			ret=$?
			;;
		4)
			# Wanrouter start/stop wanpipe# if_name
			eval "$1 $2 $3 $4 >/dev/null"
			ret=$?
			;;
		*)
			echo "Invalid argument!"
			;;
		esac
	fi
elif [ "$1" = "lsmod" ]; then
	\rm -rf $3
	$1 | grep -q $2 && echo "Running" >> $3
	#$1 $2 || echo "Running" 
	ret=0
elif [ "$1" = "modprobe" ]; then
	case $# in
	2)
		# modprobe <module>
		eval "$1 $2 >/dev/null"
		ret=$?
		;;
	3)
		# modprobe -r <module>
		modprobe -r af_wanpipe
		eval "$1 $2 $3 >/dev/null"
		ret=$?
		;;
	*)
		echo "Invalid argument!"
		;;
	esac
elif [ "$1" = "ls" ]; then
	eval "ls $2 > $3 2>/dev/null"
	ret=$?
elif [ "$1" = "wan_ec_client" ]; then
	eval "$1 $2 $3 all >/dev/null 2>/dev/null"
	ret=$?

fi
exit $ret
